Index: /trunk/sources/HeuristicLab 3.2.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.2.sln	(revision 2563)
+++ /trunk/sources/HeuristicLab 3.2.sln	(revision 2564)
@@ -2088,7 +2394,8 @@
 		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
-		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|x64.ActiveCfg = Debug|Any CPU
+		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|x64.ActiveCfg = Debug|x64
+		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|x64.Build.0 = Debug|x64
 		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|x86.ActiveCfg = Debug|x86
-		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|x86.Build.0 = c:\01 - svn repositories\hl3\core\trunk\sources\heuristiclab\
+		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Modeling Debug|x86.Build.0 = Debug|x86
 		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -2098,15 +2405,23 @@
 		{44456535-5DB5-454A-BE2B-7426DA6700B6}.Release|x86.Build.0 = Release|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.CEDMA Debug|x64.ActiveCfg = Debug|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Debug|x64.ActiveCfg = Debug|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Debug|x86.ActiveCfg = Debug|x86
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Debug|x86.Build.0 = Debug|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Modeling Debug|x64.ActiveCfg = Debug|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Modeling Debug|x86.ActiveCfg = Debug|x86
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Modeling Debug|x86.Build.0 = Debug|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Release|Any CPU.Build.0 = Release|Any CPU
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Release|x64.ActiveCfg = Release|x86
 		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Release|x86.ActiveCfg = Release|x86
+		{6EDEE199-61FC-48E1-AEDA-AF1C2E722063}.Release|x86.Build.0 = Release|x86
 		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{AB687BBE-1BFE-476B-906D-44237135431D}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -2157,4 +2472,28 @@
 		{67A6B73B-6FC3-4DB8-8FC1-D4C55A4918C5}.Release|x86.ActiveCfg = Release|x86
 		{67A6B73B-6FC3-4DB8-8FC1-D4C55A4918C5}.Release|x86.Build.0 = Release|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Debug|x64.ActiveCfg = Debug|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Debug|x64.Build.0 = Debug|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Debug|x86.ActiveCfg = Debug|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Debug|x86.Build.0 = Debug|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Modeling Debug|x64.ActiveCfg = Debug|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Modeling Debug|x64.Build.0 = Debug|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Modeling Debug|x86.ActiveCfg = Debug|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Modeling Debug|x86.Build.0 = Debug|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Release|x64.ActiveCfg = Release|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Release|x64.Build.0 = Release|x64
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Release|x86.ActiveCfg = Release|x86
+		{4744FB81-7F42-4BBA-813E-68CAB6FE07E2}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLabArtificialNeuralNetworksPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLabArtificialNeuralNetworksPlugin.cs	(revision 2563)
+++ /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLabArtificialNeuralNetworksPlugin.cs	(revision 2564)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.ArtificialNeuralNetworks {
   [ClassInfo(Name = "HeuristicLab.ArtificialNeuralNetworks-3.2")]
-  [PluginFile(Filename = "HeuristicLab.ArtificialNeuralNetworks.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "HeuristicLab.ArtificialNeuralNetworks-3.2.dll", Filetype = PluginFileType.Assembly)]
   [Dependency(Dependency = "ALGLIB")]
   [Dependency(Dependency = "HeuristicLab.Core-3.2")]
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2563)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2564)
@@ -10,4 +10,5 @@
 copy "%SolutionDir%\ALGLIB\%Outdir%\ALGLIB License.txt" .\plugins
 copy "%SolutionDir%\HeuristicLab.AdvancedOptimizationFrontend\3.2\%Outdir%\HeuristicLab.AdvancedOptimizationFrontend-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.ArtificialNeuralNetworks\3.2\%Outdir%\HeuristicLab.ArtificialNeuralNetworks-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Assignment.QAP\3.2\%Outdir%\HeuristicLab.Assignment.QAP-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.BitVector\3.2\%Outdir%\HeuristicLab.BitVector-3.2.dll" .\plugins
